Package frc.robot.subsystems.swervedrive2.swervelib.parser.json

## Class SwerveDriveJson

- java.lang.Object
- - frc.robot.subsystems.swervedrive2.swervelib.parser.json.SwerveDriveJson

-     public class SwerveDriveJson
      extends Object

  `SwerveDrive` JSON parsed class. Used to access parsed data from the swervedrive.json file.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `DeviceJson` | `imu` | Robot IMU used to determine heading of the robot.
    `boolean` | `invertedIMU` | Invert the IMU of the robot.
    `double` | `maxSpeed` | Maximum robot speed in feet per second.
    `String[]` | `modules` | Module JSONs in order clockwise order starting from front left.
    `double` | `optimalVoltage` | Optimal voltage to compensate to and base feedforward calculations off of.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SwerveDriveJson()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### maxSpeed

          public double maxSpeed

      Maximum robot speed in feet per second.

    - #### optimalVoltage

          public double optimalVoltage

      Optimal voltage to compensate to and base feedforward calculations off of.

    - #### imu

          public DeviceJson imu

      Robot IMU used to determine heading of the robot.

    - #### invertedIMU

          public boolean invertedIMU

      Invert the IMU of the robot.

    - #### modules

          public String[] modules

      Module JSONs in order clockwise order starting from front left.

  - ### Constructor Detail

    - #### SwerveDriveJson

          public SwerveDriveJson()